Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 426772 - x11-wm/xmonad - high wakeup count with GHC 7.4.1-r1
Summary: x11-wm/xmonad - high wakeup count with GHC 7.4.1-r1
Status: RESOLVED WONTFIX
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: AMD64 Linux
: Normal normal (vote)
Assignee: Gentoo's Haskell Language team
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2012-07-16 02:51 UTC by luservn
Modified: 2013-07-30 12:31 UTC (History)
1 user (show)

See Also:
Package list:
Runtime testing required: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description luservn 2012-07-16 02:51:41 UTC
Currently xmonad on my laptop is causing a very high number of wake ups (about 100 wake ups per second, measured with powertop), draining the battery life dramatically. This was fixed in GHC 7.4.2 ( http://hackage.haskell.org/trac/ghc/ticket/5991 ), so if possible I would like to request a version bump or backporting the patches.

My configuration (related to xmonad):
- Kernel 3.4.4 - AMD64 (gentoo-sources)
- GHC 7.4.1-r1
- XMonad 0.10
Comment 1 Joe Kappus 2012-09-15 07:43:28 UTC
This is a pretty major issue, especially for laptop systems.  I confirm it as well.
Comment 2 Joe Kappus 2012-09-15 08:05:04 UTC
Oh I just wanted to add.  Bumping to 7.4.2 does *not* fix this. The tracker linked above confirms this as well.
Comment 3 Sergei Trofimovich gentoo-dev 2013-07-29 12:42:24 UTC
Does ghc-7.6.3 work better for you on this workload?
Comment 4 Joe Kappus 2013-07-29 14:44:45 UTC
Yeah, looks ok for me now.  I think I remember seeing patches committed for 7.6 that fix the issue.
Comment 5 Sergei Trofimovich gentoo-dev 2013-07-30 12:31:15 UTC
(In reply to Joe Kappus from comment #4)
> Yeah, looks ok for me now.  I think I remember seeing patches committed for
> 7.6 that fix the issue.

Cool! Thanks for testing!

I'll close this one as WONTFIX then as we won't likely backport such low-leven RTS bits to ghc-7.4.